
# 构建FE
docker build --no-cache --progress=plain -f ./starrocks-fe.dockerfile -t renzicu/starrocks-fe:2.5.0 --build-arg version="2.5.0" .

# 构建BE
docker build --no-cache --progress=plain -f ./starrocks-be.dockerfile -t renzicu/starrocks-be:2.5.0 --build-arg version="2.5.0" .

# 构建Broker
docker build --no-cache --progress=plain -f ./starrocks-broker.dockerfile -t renzicu/starrocks-broker:2.5.0 --build-arg version="2.5.0" .


# 运行FE
```bash
docker run -d \
# http_port、query_port
-p 8030:8030 -p 9030:9030 \
# rpc_port、edit_log_port
-p 9020:9020 -p 9010:9010 \
--restart unless-stopped \
--name starrocks-fe1 \
-v /data/starrocks/fe/meta:/starrocks/meta \
-v /data/starrocks/fe/log:/starrocks/log \
renzicu/starrocks-fe:2.5.0
```

# 集群添加FE
```bash
docker run -d \
# http_port、query_port
-p 8030:8030 -p 9030:9030 \
# rpc_port、edit_log_port
-p 9020:9020 -p 9010:9010 \
--restart unless-stopped \
--name starrocks-fe1 \
# fe_leader_host:edit_log_port
-e OPTS="--helper 172.17.0.1:9010"
-v /data/starrocks/fe/meta:/starrocks/meta \
-v /data/starrocks/fe/log:/starrocks/log \
renzicu/starrocks-fe:2.5.0
```

# 运行BE
```bash
docker run -d \
# ssh_port
# -p 22:22 \
# be_port、webserver_port
-p 9060:9060 -p 8040:8040 \
# heartbeat_service_port、brpc_port
-p 9050:9050 -p 8060:8060 \
--restart unless-stopped \
--name starrocks-be1 \
-v /data/starrocks/be/storage:/starrocks/storage \
-v /data/starrocks/be/log:/starrocks/log \
renzicu/starrocks-be:2.5.0
```

# 运行Broker
```bash
docker run -d \
-p 8000:8000 \
--restart unless-stopped \
--name starrocks-broker1 \
renzicu/starrocks-broker:2.5.0
```