FROM centos:centos7

ARG version=2.5.0

# 定义版本号
ENV StarRocks_version=${version}

# Create directory for deployment.
ENV StarRocks_home=/starrocks
ENV Tmp_home=/tmp

# 设置下载路径
ENV StarRocks_url=https://releases.mirrorship.cn/starrocks/StarRocks-${StarRocks_version}.tar.gz

# 下载解压 StarRocks.
RUN yum -y install wget java-1.8.0-openjdk-devel.x86_64 mysql net-tools
RUN mkdir -p $StarRocks_home
RUN wget -SO $Tmp_home/StarRocks-${StarRocks_version}.tar.gz  $StarRocks_url \
    && cd $Tmp_home \
    && tar zxf StarRocks-${StarRocks_version}.tar.gz \
    && rm -f StarRocks-${StarRocks_version}.tar.gz \
    && mv $Tmp_home/StarRocks-${StarRocks_version}/apache_hdfs_broker/* $StarRocks_home \
    && rm -rf $Tmp_home/*

# Run Setup script.
COPY run_script_broker.sh $StarRocks_home/run_script.sh
RUN chmod +x $StarRocks_home/run_script.sh \
    && sed -i 's/\r//' $StarRocks_home/run_script.sh

CMD [ "/bin/sh", "-c", "/starrocks/run_script.sh" ]